<!--
  Generated template for the ConversationsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">

  <ion-navbar color="headerColor" class="header-inner">
  	<button ion-button menuToggle class="menu-icon-button">
      <div class="menu-icon-toggle"></div>
    </button>
    <ion-title class="header-title"><span class="title">Conversations</span></ion-title>
    <ion-buttons class="friend-icon-btn-container" end *ngIf="activeTabs == 0">
    	<button ion-button icon-only (click)="friendList()" class="friend-icon-btn">
      </button>
    </ion-buttons>
    <ion-buttons class="group-icon-btn-container" end *ngIf="activeTabs == 1">
    	<button ion-button icon-only (click)="groupList()" class="group-icon-btn">
      </button>
    </ion-buttons>
  </ion-navbar>
  <ion-toolbar class="ion-tool-bar-for-segment">
  	<ion-segment  class="SwipedTabs-tabs"  >
		<ion-segment-button *ngFor='let tab of tabs ; let i = index ' value="IngoreMe" (click)="selectTab(i)"
		[ngClass]='{ "SwipedTabs-activeTab" : ( this.SwipedTabsSlider  && ( this.SwipedTabsSlider.getActiveIndex() === i || (  tabs.length -1 === i&& this.SwipedTabsSlider.isEnd()))) }' >
			<span class="tab-title">{{tab}}</span>
		</ion-segment-button>
	</ion-segment>

	<div id='indicator' class="SwipedTabs-indicatorSegment" [ngStyle]="{'width.%': (100/this.tabs.length)}"></div>
  </ion-toolbar>
  <ion-searchbar class="all-joined-group-search-bar" [(ngModel)]="searchString" (input)="search($event)" placeholder="Search" (ionClear)="clearSearch($event)"></ion-searchbar>

</ion-header>


<ion-content>

	<ion-slides #SwipedTabsSlider (ionSlideDrag)="animateIndicator($event)" (ionSlideWillChange)="updateIndicatorPosition(0)" (ionSlideDidChange)="updateIndicatorPosition(1)" (pan)="updateIndicatorPosition()" [pager]="false">
		<ion-slide>
			<ion-list no-lines class="chat-contact-list">
			    <div *ngFor="let allChatContact of chatContactList$ | sortsinglechatlist" class="contact-card">
			    	<div *ngFor="let allUser of userList$ | async">
			        	<ion-item *ngIf="allChatContact.key == allUser.key" (click)="selectedChatConversation(allChatContact.key)" class="single-chat-item">
			        		<ion-thumbnail item-left>
			            		<img-loader [src]="allUser.photoURL" useImg></img-loader>
			        		</ion-thumbnail>
			        		<h2 class="user-name">{{ allUser.displayName }}</h2>
			        		<div *ngFor="let lastMsg of allChatContact | getlastmsg; let last = last" class="last-message-container">
			            		<div *ngIf="last" class="last-message">
			              			<div>
			                			<ion-icon name="camera" *ngIf="lastMsg.message == 'Image Attachment' | filterlastmsg: lastMsg.type" class="last-message-image-attachment-icon"></ion-icon>
			            			</div>
			            			<div class="lastmsg-container">
				            			<p>{{ lastMsg.message | filterlastmsg: lastMsg.type }}</p>
				            		</div>
				            		<div class="lastmsg-date-container">
					        			<p class="lastmsg-date">{{ lastMsg.msgSentTime | date: 'd/M/yyyy h:mm a'}}</p>
					        		</div>
			            		</div>
			        		</div>
			        	</ion-item>
			    	</div>
			    </div>
			</ion-list>
		</ion-slide>
		<ion-slide>
			<ion-list no-lines class="group-list">
    			<div *ngFor="let allJoinedGroup of joinedGroupList$ | filtergroupchatlist: groupChatList$" class="group-list-item">
    				<div *ngFor="let allGroup of groupList$ | async">
        				<ion-item *ngIf="allJoinedGroup.key == allGroup.key" (click)="openSelectedGroupChat(allJoinedGroup.key)" class="group-item">
            				<ion-thumbnail item-left>
            					<img-loader [src]="allGroup.groupPhotoURL" useImg></img-loader>
            				</ion-thumbnail>
            				<div class="group-name-container">
	            				<h2 class="group-name">{{ allGroup.groupName }}</h2>
	            			</div>
            				<div class="group-last-messages-container" *ngFor="let allGroupChatLastM of groupChatList$">
            					<div class="date-container" *ngIf="allGroupChatLastM.key == allJoinedGroup.key">
            						<p class="group-chat-date">{{ allGroupChatLastM.lastMsgDate | date: 'd/M/yyyy h:mm a' }}</p>
            					</div>
            					<div class="camera-icon-container" *ngIf="allGroupChatLastM.key == allJoinedGroup.key">
				                	<ion-icon name="camera" *ngIf="allGroupChatLastM.lastMessages == 'Image Attachment' | filterlastmsg: allGroupChatLastM.lastMsgType" class="camera-icon"></ion-icon>
				            	</div>
				            	<div class="last-msg-container" *ngIf="allGroupChatLastM.lastMessages == 'Image Attachment' | filterlastmsg: allGroupChatLastM.lastMsgType">
	            					<p class="group-last-messages" *ngIf="allGroupChatLastM.key == allJoinedGroup.key">{{ allGroupChatLastM.lastMessages | filterlastmsg: allGroupChatLastM.lastMsgType }}</p>
	            				</div>
	            				<div class="last-msg-container-no" *ngIf="allGroupChatLastM.lastMsgType == 'messages'">
	            					<p class="group-last-messages-no" *ngIf="allGroupChatLastM.key == allJoinedGroup.key">{{ allGroupChatLastM.lastMessages }}</p>
	            				</div>
            				</div>
        				</ion-item>
      				</div>
    			</div>
  			</ion-list>
		</ion-slide>
	</ion-slides>

</ion-content>
